Bug 475104 - Grip will not eject a CD when ripping is finished
Grip will not eject a CD when ripping is finished
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grip (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 15:49 EST by Edward Kuns
Modified: 2009-12-18 02:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:11:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Kuns 2008-12-07 15:49:08 EST
Since upgrading from Fedora 8 to Fedora 10, grip will no longer eject a CD when ripping is finished.  There are no obvious complaints in dmesg.

grip-3.2.0-24.fc10.i386

This is 100% reproducible.  Since upgrading, grip has never successfully ejected a CD.  Grip also no longer plays a "beep" sound when ripping is complete.  I've checked to make sure these settings did not get lost, and grip is still configured to play a beep and then eject the CD when ripping is finished.

The "eject" command-line successfully ejects a CD.
Comment 1 Adrian Reber 2008-12-07 16:17:08 EST
This probably cannot be fixed. What happens if you do "hal-disable-polling
--device /dev/sr0" (and replace /dev/sr0 with the path to your cdrom). If this helps then this is a duplicate of bug #196612 which I already closed with CANTFIX.
Comment 2 Edward Kuns 2008-12-07 23:20:37 EST
Indeed, if I do the hal-disable-polling command, grip is able to eject a CD.  My question is, what has changed?  In Fedora 8 and earlier, this worked perfectly on the same hardware.  I understand the last comment of bug 196612, that it may not be possible to fix this in grip.  But it's hard to believe that it's totally unfixable since it used to work and until I upgraded to Fedora 10, has always worked.
Comment 3 Adrian Reber 2008-12-08 04:59:57 EST
(In reply to comment #2)
> Indeed, if I do the hal-disable-polling command, grip is able to eject a CD. 
> My question is, what has changed?  In Fedora 8 and earlier, this worked

I do not know why the behaviour changed. It still works on my system without disabling the hal polling.

> perfectly on the same hardware.  I understand the last comment of bug 196612,
> that it may not be possible to fix this in grip.  But it's hard to believe that
> it's totally unfixable since it used to work and until I upgraded to Fedora 10,
> has always worked.

I already invested time in this bug to get it solved and I failed. I do not know how to continue. I already linked grip against libcdio to use the eject functionality from that library and it also failed sometimes. I am out of ideas, if you can find something to fix it, I would be happy to apply your patch.
Comment 4 Bug Zapper 2009-11-18 05:23:00 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:11:27 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.